# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::ReferenceListIterator Class Reference

An iterator for a ReferenceList. More...

`#include <reference_list.h>`

List of all members.

## Public Member Functions

bool | operator!= (const ReferenceListIterator &it) const
const Reference * | operator-> () const
const Reference & | operator++ (int i)

## Friends

class | ReferenceList

## Detailed Description

An iterator for a ReferenceList.

Definition at line 37 of file reference_list.h.

The documentation for this class was generated from the following files:

- reference_list.h
- reference_list.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003